Foxit PDF Conversion SDK

Public Member Functions | List of all members
PDFConversionSDK.PDF2WordSettingData Class Reference

## Public Member Functions
| constructor (enable_retain_page_layout, enable_generate_headers_and_footers, enable_generate_footnotes_and_endnotes, enable_generate_page_rendered_break, max_blank_paragraphs_per_page_bottom)
| Constructor, with parameters. More...
| Set (enable_retain_page_layout, enable_generate_headers_and_footers, enable_generate_footnotes_and_endnotes, enable_generate_page_rendered_break, max_blank_paragraphs_per_page_bottom)
| Set value. More...

## Detailed Description

This class represents setting data used for converting PDF documents to word format documents.

## Member Function Documentation

## ◆ constructor()

PDFConversionSDK.PDF2WordSettingData.constructor | ( | enable_retain_page_layout | ,
|  | enable_generate_headers_and_footers | ,
|  | enable_generate_footnotes_and_endnotes | ,
|  | enable_generate_page_rendered_break | ,
|  | max_blank_paragraphs_per_page_bottom |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker in word format documents during the conversion of PDF documents to Word format documents.
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents.

## ◆ Set()

PDFConversionSDK.PDF2WordSettingData.Set | ( | enable_retain_page_layout | ,
|  | enable_generate_headers_and_footers | ,
|  | enable_generate_footnotes_and_endnotes | ,
|  | enable_generate_page_rendered_break | ,
|  | max_blank_paragraphs_per_page_bottom |
| ) |  |

Set value.

Parameters

  [in] | enable_retain_page_layout | A boolean value which indicates whether retain page layout for the conversion of PDF documents to Word format documents. Default value: false. true means to retain page layout for the conversion of PDF documents to Word format documents. false means not to retain page layout for the conversion of PDF documents to Word format documents.
  [in] | enable_generate_headers_and_footers | A boolean value which indicates whether convert the recognized headers and footers from PDF documents to headers and footers of Word format documents during the conversion of PDF documents to Word format documents. Default value: true. true means to convert the recognized headers and footers from PDF documents to headers and footers of Word format documents. false means to convert the recognized headers and footers from PDF documents to the main texts or text boxes of Word format documents. This parameter is recommended to be set to false in 32-bit environments.
  [in] | enable_generate_footnotes_and_endnotes | A boolean value which indicates whether convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents during the conversion of PDF documents to Word format documents. Default value: false. true means to convert the recognized footnotes and endnotes from PDF documents to footnotes and endnotes of Word format documents. false means to convert the recognized footnotes and endnotes from PDF documents to the main texts or text boxes of Word format documents. Default value:false.
  [in] | enable_generate_page_rendered_break | A boolean value which indicates whether to generate the "lastRenderedPageBreak" marker
  [in] | max_blank_paragraphs_per_page_bottom | Specifies the maximum number of blank paragraphs that can be placed at the bottom of each page when converting PDF files to Word documents. in word format documents during the conversion of PDF documents to Word format documents.

Returns
  None.